{% extends 'core.html' %} 

{% block title %}Publicaciones{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
{% if publications %}
<div class="container mt-5 mb-5">
    <div class="container">
        <form method="POST" action="{% url 'filter-publications' %}">
            {% csrf_token %}
            {% if category and search %}
            <input type="hidden" class="form-control" name="category" value="{{category}}">
            <input type="hidden" class="form-control" name="search" value="{{search}}">
            {% endif %}
            <div class="row">
                <div class="form-group col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">                
                    <label for="inputState">Precio</label>
                        <select id="inputState" class="form-control" name="price">
                            <option>...</option>                      
                            <option>Menor a Mayor</option>
                            <option>Mayor a Menor</option>                          
                        </select>
                </div>
                <div class="form-group col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                    <label for="inputState">Fecha</label>
                        <select id="inputState" class="form-control" name="date">
                            <option>...</option>
                            <option>Nuevo Primero</option>
                            <option>Viejo Primero</option>
                        </select>
                </div>
                <div class="form-group col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
                    <label for="inputState">Categoría</label>
                        <select id="inputState" class="form-control" name="tag">
                            <option>...</option>
                            {% for tag in tag_list %}
                            <option>{{tag}}</option>
                            {% endfor %}                                                                                                                                                                                      
                        </select>
                </div>            
                <div class="form-group col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3 align-self-end">
                    <button type="submit" class="btn btn-warning btn-block">Filtrar</button>
                </div>                             
            </div>
        </form>
    </div>
    {% for publication in publications %}
    <div class="card">
        <div class="body p-3">
            <div class="row">
                <div class="col-12 col-sm-12 col-md-12 col-lg-3 col-xl-3">
                    <a href="{{publication.get_absolute_url}}"><img class="img-thumbnail" style="max-height:200px" src="{{publication.photo.url}}"/></a>
                </div>
                <div class="col-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                    <div class="row">
                        <div class="col-12"><h4><a class="text-dark" href="{{publication.get_absolute_url}}">{{ publication.product_name }}</h4></a></div>
                    </div>
                    <div class="row">
                        <div class="col-12"><h6><em>{{ publication.slug }}</em></h6></div>
                    </div>
                    <div class="row">
                        <div class="col-12"><p>{{ publication.product_description }}</p></div>
                    </div>
                </div>
                <div class="col-12 col-sm-12 col-md-12 col-lg-3 col-xl-3">
                    <div class="row mt-5">
                        <div class="col-12"><h4 class="text-warning text-right"><strong>$ {{ publication.price }}</strong></h4></div>
                    </div>
                    <div class="row">
                        <div class="col-12"><p class="text-right">{{ publication.publication_date }}</p></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12 text-right">
                    {% if publication.state == 'D' %}
                    <p><span class="badge badge-success">{{publication.get_state_display}}</span></p>
                    {% else %}
                    <p></small><span class="badge badge-danger">{{publication.get_state_display}}</span></p>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    {% endfor %}

  <!-- Pagination Container -->
  <!-- <div class='container'>
        <div class="row">
          <div class="col-12">
            {% if publications.has_other_pages %}
              <ul class="pagination">
                {% if publications.has_previous %}
                <li class="page-item"><a class="page-link" href="?page={{ publications.previous_page_number }}">Anterior</a></li>
                {% else %}
                <li class="disabled page-item"><span class="page-link">Anterior</span></li>
                {% endif %}
                {% for i in publications.paginator.page_range %}
                {% if publications.number == i %}
                <li class="active page-item"><span class="page-link">{{ i }} <span class="sr-only">(current)</span></span></li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                {% endif %}
                {% endfor %}
                {% if publications.has_next %}
                <li class="page-item"><a class="page-link" href="?page={{ publications.next_page_number }}">Siguiente</a></li>
                {% else %}
                <li class="disabled page-item"><span class="page-link">Siguiente</span></li>
                {% endif %}
            </ul>
            {% endif %}      
          </div>
        </div>
      </div> -->
      <!-- Pagination Container -->       
</div>
{% else %}
<div class="container">
    <div class="card" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
        <div class="card-body text-center">
            <p class="lead">No se han encontrado publicaciones con los parámetros ingresados. Vuelve a intentarlo con unos distintos!</p>
        </div>
    </div>
</div>
{% endif %}
{% endblock %}

{% block scriptfiles %}
{% endblock %}
